c	include file PHASF
c	defines structures for use with the PHA SF files

	integer*4 len_file_info
	parameter(len_file_info=100)
	structure /file_info/
	    character*16 detid
	    integer*4	nbin, nchan
	    real*4	t,a,del,cor,index(3)
	    byte	spare(48)
	end structure

	integer*4 len_source_info
	parameter(len_source_info=72)
	structure /source_info/
	    real*8	epoch,start,stop
	    integer*4	system
	    real*8	vect(3)
	    character*20	name
	end structure

	integer*4 len_data_base
	parameter(len_data_base=40)
	structure /data_base/
	    integer*4 source_ra,source_dec
	    integer*4 roll
	    integer*4 shf_start,shf_end
	    character*6 name
	    byte      spare(14)
	end structure

	integer*4 len_image_info
	parameter(len_image_info=40)
	structure /image_info/
           INTEGER*2 ra_hr
           INTEGER*2 ra_min
           REAL*4 ra_sec
           INTEGER*2 dec_deg, dec_amin, dec_asec
           INTEGER*2 roll_deg, roll_amin, roll_asec
           REAL*4 xspix_size, yspix_size
           BYTE spare(12)
	end structure
	integer*4 len_image_sub
	parameter(len_image_sub=80)
	structure /image_sub/
           CHARACTER*80 region
        end structure


